# encoding: utf-8
# vi:si:et:sw=4:sts=4:ts=4
import os
import sys
import webbrowser

from twisted.web.server import Site
from twisted.internet import reactor

from itunes import iTunes
from server import Server
import api

from version import __version__

def main(port, backend):
    base = os.path.abspath(os.path.dirname(__file__))
    print 'loading', backend 
    root = Server(base, backend)
    site = Site(root)
    reactor.listenTCP(port, site)
    #reactor.callLater(1, lambda: webbrowser.open_new_tab('http://127.0.0.1:%s/' % port))
    print 'listening for browsers at http://127.0.0.1:%s/ ...' % port
    reactor.run()
