#!/bin/bash
oxcd_repos=http://code.0x2620.org/oxcd/
oxjs_repos=http://code.0x2620.org/oxjs/
cd `dirname $0`
base=`pwd`
current=`bzr revno`
bzr pull $oxcd_repos
new=`bzr revno`
cd $base
if [ -e oxcd/static/oxjs ]; then
  cd oxcd/static/oxjs
  current=$current`bzr revno`
  bzr pull $oxjs_repos
  new=$new`bzr revno`
else
  cd oxcd/static
  bzr branch $oxjs_repos
  cd oxjs
  new=$new`bzr revno`
fi
if [ $current -ne $new ]; then
    cd $base/oxcd/static/oxjs
    if [ -e build/Ox.Geo/json/Ox.Geo.json ]; then
        ./tools/build/build.py -nogeo >/dev/null
    else
        ./tools/build/build.py >/dev/null
    fi
fi
